profMedFilt-methods {xcms} | R Documentation

## Median filtering of the profile matrix

### Description

Apply a median filter of given size to a profile matrix.

### Arguments

`object` | the `xcmsRaw` object
`massrad` | number of m/z grid points on either side to use for median calculation
`scanrad` | number of scan grid points on either side to use for median calculation

### Methods

object = "xcmsRaw"
  `profMedFilt(object, massrad = 0, scanrad = 0)`

### See Also

`xcmsRaw-class`, `medianFilter`

[Package xcms version 1.16.3 Index]